Package org.apache.commons.math3.genetics

# Interface StoppingCondition

All Known Implementing Classes:
  `FixedElapsedTime`, `FixedGenerationCount`

public interface StoppingCondition
Algorithm used to determine when to stop evolution.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSatisfied(Population population)`
Determine whether or not the given population satisfies the stopping condition.

## Method Details

### isSatisfied

boolean isSatisfied(Population population)
Determine whether or not the given population satisfies the stopping condition.

Parameters:
  `population` - the population to test.
Returns:
  `true` if this stopping condition is met by the given population, `false` otherwise.